# GESTextOverlay

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESTrackElement
                    ╰──GESOperation
                        ╰──GESTextOverlay

### Members

`parent` (GESOperation) –
No description available

### Class structure

#### GESTextOverlayClass

##### Fields

`parent_class` (GESOperationClass) –
No description available

### GES.TextOverlayClass

##### Attributes

`parent_class` (GES.OperationClass) –
No description available

### GES.TextOverlayClass

##### Attributes

`parent_class` (GES.OperationClass) –
No description available

## GES.TextOverlay

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.TrackElement
                    ╰──GES.Operation
                        ╰──GES.TextOverlay

### Members

`parent` (GES.Operation) –
No description available

## GES.TextOverlay

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.TrackElement
                    ╰──GES.Operation
                        ╰──GES.TextOverlay

### Members

`parent` (GES.Operation) –
No description available

### Constructors

#### ges_text_overlay_new

    GESTextOverlay *
    ges_text_overlay_new ()

Creates a new GESTextOverlay.

Returns ( [transfer: floating][nullable]) –

The newly created GESTextOverlay or NULL if something went wrong.

deprecated : 1.18: This should never be called by applications as this will be created by clips.

#### GES.TextOverlay.prototype.new

    function GES.TextOverlay.prototype.new(): {
        // javascript wrapper for 'ges_text_overlay_new'
    }

Creates a new GES.TextOverlay.

Returns (GES.TextOverlay) –

The newly created GES.TextOverlay or NULL if something went wrong.

deprecated : 1.18: This should never be called by applications as this will be created by clips.

#### GES.TextOverlay.new

    def GES.TextOverlay.new ():
        #python wrapper for 'ges_text_overlay_new'

Creates a new GES.TextOverlay.

Returns (GES.TextOverlay) –

The newly created GES.TextOverlay or NULL if something went wrong.

deprecated : 1.18: This should never be called by applications as this will be created by clips.

### Methods

#### ges_text_overlay_get_color

    const guint32
    ges_text_overlay_get_color (GESTextOverlay * self)

Get the color used by source.

Parameters:

`self` –

a GESTextOverlay

Returns –

The color used by source.

#### GES.TextOverlay.prototype.get_color

    function GES.TextOverlay.prototype.get_color(): {
        // javascript wrapper for 'ges_text_overlay_get_color'
    }

Get the color used by source.

Parameters:

`self` (GES.TextOverlay) –

a GESTextOverlay

Returns (Number) –

The color used by source.

#### GES.TextOverlay.get_color

    def GES.TextOverlay.get_color (self):
        #python wrapper for 'ges_text_overlay_get_color'

Get the color used by source.

Parameters:

`self` (GES.TextOverlay) –

a GESTextOverlay

Returns (int) –

The color used by source.

#### ges_text_overlay_get_font_desc

    const char*
    ges_text_overlay_get_font_desc (GESTextOverlay * self)

Get the pango font description currently set on source.

Parameters:

`self` –

a GESTextOverlay

Returns ( [nullable]) –

The pango font description currently set on source.

#### GES.TextOverlay.prototype.get_font_desc

    function GES.TextOverlay.prototype.get_font_desc(): {
        // javascript wrapper for 'ges_text_overlay_get_font_desc'
    }

Get the pango font description currently set on source.

Parameters:

`self` (GES.TextOverlay) –

a GESTextOverlay

Returns (String) –

The pango font description currently set on source.

#### GES.TextOverlay.get_font_desc

    def GES.TextOverlay.get_font_desc (self):
        #python wrapper for 'ges_text_overlay_get_font_desc'

Get the pango font description currently set on source.

Parameters:

`self` (GES.TextOverlay) –

a GESTextOverlay

Returns (str) –

The pango font description currently set on source.

#### ges_text_overlay_get_halignment

    GESTextHAlign
    ges_text_overlay_get_halignment (GESTextOverlay * self)

Get the horizontal aligment used by source.

Parameters:

`self` –

a GESTextOverlay

Returns –

The horizontal aligment used by source.

#### GES.TextOverlay.prototype.get_halignment

    function GES.TextOverlay.prototype.get_halignment(): {
        // javascript wrapper for 'ges_text_overlay_get_halignment'
    }

Get the horizontal aligment used by source.

Parameters:

`self` (GES.TextOverlay) –

a GESTextOverlay

Returns (GES.TextHAlign) –

The horizontal aligment used by source.

#### GES.TextOverlay.get_halignment

    def GES.TextOverlay.get_halignment (self):
        #python wrapper for 'ges_text_overlay_get_halignment'

Get the horizontal aligment used by source.

Parameters:

`self` (GES.TextOverlay) –

a GESTextOverlay

Returns (GES.TextHAlign) –

The horizontal aligment used by source.

#### ges_text_overlay_get_text

    const gchar*
    ges_text_overlay_get_text (GESTextOverlay * self)

Get the text currently set on source.

Parameters:

`self` –

a GESTextOverlay

Returns ( [nullable]) –

The text currently set on source.

#### GES.TextOverlay.prototype.get_text

    function GES.TextOverlay.prototype.get_text(): {
        // javascript wrapper for 'ges_text_overlay_get_text'
    }

Get the text currently set on source.

Parameters:

`self` (GES.TextOverlay) –

a GESTextOverlay

Returns (String) –

The text currently set on source.

#### GES.TextOverlay.get_text

    def GES.TextOverlay.get_text (self):
        #python wrapper for 'ges_text_overlay_get_text'

Get the text currently set on source.

Parameters:

`self` (GES.TextOverlay) –

a GESTextOverlay

Returns (str) –

The text currently set on source.

#### ges_text_overlay_get_valignment

    GESTextVAlign
    ges_text_overlay_get_valignment (GESTextOverlay * self)

Get the vertical aligment used by source.

Parameters:

`self` –

a GESTextOverlay

Returns –

The vertical aligment used by source.

#### GES.TextOverlay.prototype.get_valignment

    function GES.TextOverlay.prototype.get_valignment(): {
        // javascript wrapper for 'ges_text_overlay_get_valignment'
    }

Get the vertical aligment used by source.

Parameters:

`self` (GES.TextOverlay) –

a GESTextOverlay

Returns (GES.TextVAlign) –

The vertical aligment used by source.

#### GES.TextOverlay.get_valignment

    def GES.TextOverlay.get_valignment (self):
        #python wrapper for 'ges_text_overlay_get_valignment'

Get the vertical aligment used by source.

Parameters:

`self` (GES.TextOverlay) –

a GESTextOverlay

Returns (GES.TextVAlign) –

The vertical aligment used by source.

#### ges_text_overlay_get_xpos

    const gdouble
    ges_text_overlay_get_xpos (GESTextOverlay * self)

Get the horizontal position used by source.

Parameters:

`self` –

a GESTextOverlay

Returns –

The horizontal position used by source.

#### GES.TextOverlay.prototype.get_xpos

    function GES.TextOverlay.prototype.get_xpos(): {
        // javascript wrapper for 'ges_text_overlay_get_xpos'
    }

Get the horizontal position used by source.

Parameters:

`self` (GES.TextOverlay) –

a GESTextOverlay

Returns (Number) –

The horizontal position used by source.

#### GES.TextOverlay.get_xpos

    def GES.TextOverlay.get_xpos (self):
        #python wrapper for 'ges_text_overlay_get_xpos'

Get the horizontal position used by source.

Parameters:

`self` (GES.TextOverlay) –

a GESTextOverlay

Returns (float) –

The horizontal position used by source.

#### ges_text_overlay_get_ypos

    const gdouble
    ges_text_overlay_get_ypos (GESTextOverlay * self)

Get the vertical position used by source.

Parameters:

`self` –

a GESTextOverlay

Returns –

The vertical position used by source.

#### GES.TextOverlay.prototype.get_ypos

    function GES.TextOverlay.prototype.get_ypos(): {
        // javascript wrapper for 'ges_text_overlay_get_ypos'
    }

Get the vertical position used by source.

Parameters:

`self` (GES.TextOverlay) –

a GESTextOverlay

Returns (Number) –

The vertical position used by source.

#### GES.TextOverlay.get_ypos

    def GES.TextOverlay.get_ypos (self):
        #python wrapper for 'ges_text_overlay_get_ypos'

Get the vertical position used by source.

Parameters:

`self` (GES.TextOverlay) –

a GESTextOverlay

Returns (float) –

The vertical position used by source.

#### ges_text_overlay_set_color

    ges_text_overlay_set_color (GESTextOverlay * self,
                                guint32 color)

Sets the color of the text.

Parameters:

`self` –

the GESTextOverlay* to set

`color` –

The color self is being set to

#### GES.TextOverlay.prototype.set_color

    function GES.TextOverlay.prototype.set_color(color: Number): {
        // javascript wrapper for 'ges_text_overlay_set_color'
    }

Sets the color of the text.

Parameters:

`self` (GES.TextOverlay) –

the GES.TextOverlay* to set

`color` (Number) –

The color self is being set to

#### GES.TextOverlay.set_color

    def GES.TextOverlay.set_color (self, color):
        #python wrapper for 'ges_text_overlay_set_color'

Sets the color of the text.

Parameters:

`self` (GES.TextOverlay) –

the GES.TextOverlay* to set

`color` (int) –

The color self is being set to

#### ges_text_overlay_set_font_desc

    ges_text_overlay_set_font_desc (GESTextOverlay * self,
                                    const gchar* font_desc)

Sets the pango font description of the text this track element will render.

Parameters:

`self` –

the GESTextOverlay

`font_desc` ( [nullable]) –

the pango font description

#### GES.TextOverlay.prototype.set_font_desc

    function GES.TextOverlay.prototype.set_font_desc(font_desc: String): {
        // javascript wrapper for 'ges_text_overlay_set_font_desc'
    }

Sets the pango font description of the text this track element will render.

Parameters:

`self` (GES.TextOverlay) –

the GES.TextOverlay

`font_desc` (String) –

the pango font description

#### GES.TextOverlay.set_font_desc

    def GES.TextOverlay.set_font_desc (self, font_desc):
        #python wrapper for 'ges_text_overlay_set_font_desc'

Sets the pango font description of the text this track element will render.

Parameters:

`self` (GES.TextOverlay) –

the GES.TextOverlay

`font_desc` (str) –

the pango font description

#### ges_text_overlay_set_halignment

    ges_text_overlay_set_halignment (GESTextOverlay * self,
                                     GESTextHAlign halign)

Sets the horizontal aligment of the text.

Parameters:

`self` –

the GESTextOverlay* to set text on

`halign` –

The GESTextHAlign defining the horizontal alignment of the text render by self.

#### GES.TextOverlay.prototype.set_halignment

    function GES.TextOverlay.prototype.set_halignment(halign: GES.TextHAlign): {
        // javascript wrapper for 'ges_text_overlay_set_halignment'
    }

Sets the horizontal aligment of the text.

Parameters:

`self` (GES.TextOverlay) –

the GES.TextOverlay* to set text on

`halign` (GES.TextHAlign) –

The GES.TextHAlign defining the horizontal alignment of the text render by self.

#### GES.TextOverlay.set_halignment

    def GES.TextOverlay.set_halignment (self, halign):
        #python wrapper for 'ges_text_overlay_set_halignment'

Sets the horizontal aligment of the text.

Parameters:

`self` (GES.TextOverlay) –

the GES.TextOverlay* to set text on

`halign` (GES.TextHAlign) –

The GES.TextHAlign defining the horizontal alignment of the text render by self.

#### ges_text_overlay_set_text

    ges_text_overlay_set_text (GESTextOverlay * self,
                               const gchar* text)

Sets the text this track element will render.

Parameters:

`self` –

the GESTextOverlay* to set text on

`text` ( [nullable]) –

the text to render. an internal copy of this text will be made.

#### GES.TextOverlay.prototype.set_text

    function GES.TextOverlay.prototype.set_text(text: String): {
        // javascript wrapper for 'ges_text_overlay_set_text'
    }

Sets the text this track element will render.

Parameters:

`self` (GES.TextOverlay) –

the GES.TextOverlay* to set text on

`text` (String) –

the text to render. an internal copy of this text will be made.

#### GES.TextOverlay.set_text

    def GES.TextOverlay.set_text (self, text):
        #python wrapper for 'ges_text_overlay_set_text'

Sets the text this track element will render.

Parameters:

`self` (GES.TextOverlay) –

the GES.TextOverlay* to set text on

`text` (str) –

the text to render. an internal copy of this text will be made.

#### ges_text_overlay_set_valignment

    ges_text_overlay_set_valignment (GESTextOverlay * self,
                                     GESTextVAlign valign)

Sets the vertical aligment of the text.

Parameters:

`self` –

the GESTextOverlay* to set text on

`valign` –

The GESTextVAlign defining the vertical alignment of the text render by self.

#### GES.TextOverlay.prototype.set_valignment

    function GES.TextOverlay.prototype.set_valignment(valign: GES.TextVAlign): {
        // javascript wrapper for 'ges_text_overlay_set_valignment'
    }

Sets the vertical aligment of the text.

Parameters:

`self` (GES.TextOverlay) –

the GES.TextOverlay* to set text on

`valign` (GES.TextVAlign) –

The GES.TextVAlign defining the vertical alignment of the text render by self.

#### GES.TextOverlay.set_valignment

    def GES.TextOverlay.set_valignment (self, valign):
        #python wrapper for 'ges_text_overlay_set_valignment'

Sets the vertical aligment of the text.

Parameters:

`self` (GES.TextOverlay) –

the GES.TextOverlay* to set text on

`valign` (GES.TextVAlign) –

The GES.TextVAlign defining the vertical alignment of the text render by self.

#### ges_text_overlay_set_xpos

    ges_text_overlay_set_xpos (GESTextOverlay * self,
                               gdouble position)

Sets the horizontal position of the text.

Parameters:

`self` –

the GESTextOverlay* to set

`position` –

The horizontal position self is being set to

#### GES.TextOverlay.prototype.set_xpos

    function GES.TextOverlay.prototype.set_xpos(position: Number): {
        // javascript wrapper for 'ges_text_overlay_set_xpos'
    }

Sets the horizontal position of the text.

Parameters:

`self` (GES.TextOverlay) –

the GES.TextOverlay* to set

`position` (Number) –

The horizontal position self is being set to

#### GES.TextOverlay.set_xpos

    def GES.TextOverlay.set_xpos (self, position):
        #python wrapper for 'ges_text_overlay_set_xpos'

Sets the horizontal position of the text.

Parameters:

`self` (GES.TextOverlay) –

the GES.TextOverlay* to set

`position` (float) –

The horizontal position self is being set to

#### ges_text_overlay_set_ypos

    ges_text_overlay_set_ypos (GESTextOverlay * self,
                               gdouble position)

Sets the vertical position of the text.

Parameters:

`self` –

the GESTextOverlay* to set

`position` –

The vertical position self is being set to

#### GES.TextOverlay.prototype.set_ypos

    function GES.TextOverlay.prototype.set_ypos(position: Number): {
        // javascript wrapper for 'ges_text_overlay_set_ypos'
    }

Sets the vertical position of the text.

Parameters:

`self` (GES.TextOverlay) –

the GES.TextOverlay* to set

`position` (Number) –

The vertical position self is being set to

#### GES.TextOverlay.set_ypos

    def GES.TextOverlay.set_ypos (self, position):
        #python wrapper for 'ges_text_overlay_set_ypos'

Sets the vertical position of the text.

Parameters:

`self` (GES.TextOverlay) –

the GES.TextOverlay* to set

`position` (float) –

The vertical position self is being set to

## Constants

### GES_TYPE_TEXT_OVERLAY

    #define GES_TYPE_TEXT_OVERLAY ges_text_overlay_get_type()

The results of the search are